Index: trunk/INSTALL/arquivos/expresso.dump
===================================================================
--- trunk/INSTALL/arquivos/expresso.dump	(revision 5802)
+++ trunk/INSTALL/arquivos/expresso.dump	(revision 5806)
@@ -26028,6 +25439,4 @@
 
 --
--- TOC entry 2554 (class 2606 OID 38952)
--- Dependencies: 269 269
 -- Name: calendar_ex_participant_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26038,6 +25447,4 @@
 
 --
--- TOC entry 2544 (class 2606 OID 38913)
--- Dependencies: 261 261
 -- Name: calendar_object_cal_uid_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26048,6 +25455,4 @@
 
 --
--- TOC entry 2546 (class 2606 OID 38911)
--- Dependencies: 261 261
 -- Name: calendar_object_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26058,6 +25463,4 @@
 
 --
--- TOC entry 2538 (class 2606 OID 38880)
--- Dependencies: 255 255
 -- Name: calendar_object_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26068,6 +25471,4 @@
 
 --
--- TOC entry 2548 (class 2606 OID 38927)
--- Dependencies: 263 263
 -- Name: calendar_participant_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26078,6 +25479,4 @@
 
 --
--- TOC entry 2540 (class 2606 OID 38888)
--- Dependencies: 257 257
 -- Name: calendar_participant_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26088,6 +25487,4 @@
 
 --
--- TOC entry 2556 (class 2606 OID 38960)
--- Dependencies: 271 271
 -- Name: calendar_permission_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26098,6 +25495,4 @@
 
 --
--- TOC entry 2534 (class 2606 OID 38864)
--- Dependencies: 251 251
 -- Name: calendar_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26108,6 +25503,4 @@
 
 --
--- TOC entry 2562 (class 2606 OID 38984)
--- Dependencies: 277 277
 -- Name: calendar_repeat_occurrence_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26118,6 +25511,4 @@
 
 --
--- TOC entry 2558 (class 2606 OID 38968)
--- Dependencies: 273 273
 -- Name: calendar_repeat_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26128,6 +25519,4 @@
 
 --
--- TOC entry 2560 (class 2606 OID 38976)
--- Dependencies: 275 275
 -- Name: calendar_repeat_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26138,6 +25527,4 @@
 
 --
--- TOC entry 2552 (class 2606 OID 38944)
--- Dependencies: 267 267
 -- Name: calendar_signature_alarm_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26148,6 +25535,4 @@
 
 --
--- TOC entry 2564 (class 2606 OID 38996)
--- Dependencies: 279 279
 -- Name: calendar_signature_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26158,6 +25543,4 @@
 
 --
--- TOC entry 2542 (class 2606 OID 38896)
--- Dependencies: 259 259
 -- Name: calendar_to_calendar_object_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26168,6 +25551,4 @@
 
 --
--- TOC entry 2351 (class 2606 OID 38616)
--- Dependencies: 141 141
 -- Name: egw_wf_activities_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26178,6 +25559,4 @@
 
 --
--- TOC entry 2353 (class 2606 OID 38618)
--- Dependencies: 142 142 142
 -- Name: egw_wf_activity_agents_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26188,6 +25567,4 @@
 
 --
--- TOC entry 2355 (class 2606 OID 38620)
--- Dependencies: 143 143 143
 -- Name: egw_wf_activity_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26198,6 +25575,4 @@
 
 --
--- TOC entry 2357 (class 2606 OID 38622)
--- Dependencies: 144 144 144 144
 -- Name: egw_wf_admin_access_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26208,6 +25583,4 @@
 
 --
--- TOC entry 2359 (class 2606 OID 38624)
--- Dependencies: 146 146
 -- Name: egw_wf_agent_mail_smtp_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26218,6 +25591,4 @@
 
 --
--- TOC entry 2361 (class 2606 OID 38626)
--- Dependencies: 148 148
 -- Name: egw_wf_external_application_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26228,6 +25599,4 @@
 
 --
--- TOC entry 2363 (class 2606 OID 38628)
--- Dependencies: 149 149 149
 -- Name: egw_wf_instance_activities_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26238,6 +25607,4 @@
 
 --
--- TOC entry 2368 (class 2606 OID 38630)
--- Dependencies: 151 151
 -- Name: egw_wf_instances_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26248,6 +25615,4 @@
 
 --
--- TOC entry 2374 (class 2606 OID 38632)
--- Dependencies: 152 152 152
 -- Name: egw_wf_interinstance_relations_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26258,6 +25623,4 @@
 
 --
--- TOC entry 2376 (class 2606 OID 38634)
--- Dependencies: 153 153 153
 -- Name: egw_wf_job_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26268,6 +25631,4 @@
 
 --
--- TOC entry 2378 (class 2606 OID 38636)
--- Dependencies: 155 155
 -- Name: egw_wf_jobs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26278,6 +25639,4 @@
 
 --
--- TOC entry 2380 (class 2606 OID 38638)
--- Dependencies: 156 156 156
 -- Name: egw_wf_process_config_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26288,6 +25647,4 @@
 
 --
--- TOC entry 2382 (class 2606 OID 38640)
--- Dependencies: 158 158
 -- Name: egw_wf_processes_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26298,6 +25655,4 @@
 
 --
--- TOC entry 2385 (class 2606 OID 38642)
--- Dependencies: 160 160
 -- Name: egw_wf_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26308,6 +25663,4 @@
 
 --
--- TOC entry 2387 (class 2606 OID 38644)
--- Dependencies: 161 161 161
 -- Name: egw_wf_transitions_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26318,6 +25671,4 @@
 
 --
--- TOC entry 2392 (class 2606 OID 38646)
--- Dependencies: 162 162
 -- Name: egw_wf_user_cache_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26328,6 +25679,4 @@
 
 --
--- TOC entry 2394 (class 2606 OID 38648)
--- Dependencies: 164 164 164 164
 -- Name: egw_wf_user_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26338,6 +25687,4 @@
 
 --
--- TOC entry 2396 (class 2606 OID 38650)
--- Dependencies: 166 166
 -- Name: egw_wf_workitems_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26348,6 +25695,4 @@
 
 --
--- TOC entry 2579 (class 2606 OID 41726)
--- Dependencies: 292 292
 -- Name: expressomail_attachment_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26358,6 +25703,4 @@
 
 --
--- TOC entry 2575 (class 2606 OID 41698)
--- Dependencies: 288 288
 -- Name: expressomail_followupflag_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26368,6 +25711,4 @@
 
 --
--- TOC entry 2573 (class 2606 OID 41690)
--- Dependencies: 286 286
 -- Name: expressomail_label_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26378,6 +25719,4 @@
 
 --
--- TOC entry 2577 (class 2606 OID 41706)
--- Dependencies: 290 290
 -- Name: expressomail_message_followupflag_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26388,6 +25727,4 @@
 
 --
--- TOC entry 2566 (class 2606 OID 39004)
--- Dependencies: 281 281
 -- Name: module_preference_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26398,6 +25735,4 @@
 
 --
--- TOC entry 2399 (class 2606 OID 38652)
--- Dependencies: 168 168
 -- Name: phpgw_accounts_account_lid_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26408,6 +25743,4 @@
 
 --
--- TOC entry 2401 (class 2606 OID 38654)
--- Dependencies: 168 168
 -- Name: phpgw_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26418,6 +25751,4 @@
 
 --
--- TOC entry 2406 (class 2606 OID 38656)
--- Dependencies: 169 169 169 169
 -- Name: phpgw_acl_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26428,6 +25759,4 @@
 
 --
--- TOC entry 2412 (class 2606 OID 38658)
--- Dependencies: 171 171 171
 -- Name: phpgw_addressbook_extra_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26438,6 +25767,4 @@
 
 --
--- TOC entry 2408 (class 2606 OID 38660)
--- Dependencies: 170 170
 -- Name: phpgw_addressbook_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26448,6 +25775,4 @@
 
 --
--- TOC entry 2414 (class 2606 OID 38662)
--- Dependencies: 172 172 172 172 172
 -- Name: phpgw_app_sessions_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26458,6 +25783,4 @@
 
 --
--- TOC entry 2417 (class 2606 OID 38664)
--- Dependencies: 173 173
 -- Name: phpgw_applications_app_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26468,6 +25791,4 @@
 
 --
--- TOC entry 2419 (class 2606 OID 38666)
--- Dependencies: 173 173
 -- Name: phpgw_applications_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26478,6 +25799,4 @@
 
 --
--- TOC entry 2421 (class 2606 OID 38668)
--- Dependencies: 174 174
 -- Name: phpgw_async_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26488,6 +25807,4 @@
 
 --
--- TOC entry 2425 (class 2606 OID 38670)
--- Dependencies: 176 176 176
 -- Name: phpgw_cal_extra_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26498,6 +25815,4 @@
 
 --
--- TOC entry 2427 (class 2606 OID 38672)
--- Dependencies: 177 177
 -- Name: phpgw_cal_holidays_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26508,6 +25823,4 @@
 
 --
--- TOC entry 2423 (class 2606 OID 38674)
--- Dependencies: 175 175
 -- Name: phpgw_cal_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26518,6 +25831,4 @@
 
 --
--- TOC entry 2429 (class 2606 OID 38676)
--- Dependencies: 179 179 179
 -- Name: phpgw_cal_user_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26528,6 +25839,4 @@
 
 --
--- TOC entry 2432 (class 2606 OID 38678)
--- Dependencies: 180 180
 -- Name: phpgw_categories_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26538,6 +25847,4 @@
 
 --
--- TOC entry 2434 (class 2606 OID 38680)
--- Dependencies: 181 181
 -- Name: phpgw_cc_addresses_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26548,6 +25855,4 @@
 
 --
--- TOC entry 2436 (class 2606 OID 38682)
--- Dependencies: 182 182
 -- Name: phpgw_cc_city_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26558,6 +25863,4 @@
 
 --
--- TOC entry 2440 (class 2606 OID 38684)
--- Dependencies: 184 184 184
 -- Name: phpgw_cc_company_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26568,6 +25871,4 @@
 
 --
--- TOC entry 2442 (class 2606 OID 38686)
--- Dependencies: 185 185 185
 -- Name: phpgw_cc_company_conns_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26578,6 +25879,4 @@
 
 --
--- TOC entry 2444 (class 2606 OID 38688)
--- Dependencies: 186 186
 -- Name: phpgw_cc_company_legals_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26588,6 +25887,4 @@
 
 --
--- TOC entry 2438 (class 2606 OID 38690)
--- Dependencies: 183 183
 -- Name: phpgw_cc_company_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26598,6 +25895,4 @@
 
 --
--- TOC entry 2446 (class 2606 OID 38692)
--- Dependencies: 187 187 187
 -- Name: phpgw_cc_company_rels_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26608,6 +25903,4 @@
 
 --
--- TOC entry 2448 (class 2606 OID 38694)
--- Dependencies: 188 188
 -- Name: phpgw_cc_connections_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26618,6 +25911,4 @@
 
 --
--- TOC entry 2453 (class 2606 OID 38696)
--- Dependencies: 190 190 190
 -- Name: phpgw_cc_contact_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26628,6 +25919,4 @@
 
 --
--- TOC entry 2455 (class 2606 OID 38698)
--- Dependencies: 191 191 191
 -- Name: phpgw_cc_contact_company_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26638,6 +25927,4 @@
 
 --
--- TOC entry 2457 (class 2606 OID 38700)
--- Dependencies: 192 192 192
 -- Name: phpgw_cc_contact_conns_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26648,6 +25935,4 @@
 
 --
--- TOC entry 2451 (class 2606 OID 38702)
--- Dependencies: 189 189
 -- Name: phpgw_cc_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26658,6 +25943,4 @@
 
 --
--- TOC entry 2459 (class 2606 OID 38704)
--- Dependencies: 194 194 194
 -- Name: phpgw_cc_contact_rels_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26668,6 +25951,4 @@
 
 --
--- TOC entry 2461 (class 2606 OID 38706)
--- Dependencies: 195 195
 -- Name: phpgw_cc_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26678,6 +25959,4 @@
 
 --
--- TOC entry 2463 (class 2606 OID 38708)
--- Dependencies: 196 196
 -- Name: phpgw_cc_prefixes_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26688,6 +25967,4 @@
 
 --
--- TOC entry 2465 (class 2606 OID 38710)
--- Dependencies: 197 197
 -- Name: phpgw_cc_state_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26698,6 +25975,4 @@
 
 --
--- TOC entry 2467 (class 2606 OID 38712)
--- Dependencies: 198 198
 -- Name: phpgw_cc_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26708,6 +25983,4 @@
 
 --
--- TOC entry 2469 (class 2606 OID 38714)
--- Dependencies: 199 199
 -- Name: phpgw_cc_suffixes_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26718,6 +25991,4 @@
 
 --
--- TOC entry 2471 (class 2606 OID 38716)
--- Dependencies: 200 200
 -- Name: phpgw_cc_typeof_co_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26728,6 +25999,4 @@
 
 --
--- TOC entry 2473 (class 2606 OID 38718)
--- Dependencies: 201 201
 -- Name: phpgw_cc_typeof_co_conns_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26738,6 +26007,4 @@
 
 --
--- TOC entry 2475 (class 2606 OID 38720)
--- Dependencies: 202 202
 -- Name: phpgw_cc_typeof_co_legals_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26748,6 +26015,4 @@
 
 --
--- TOC entry 2477 (class 2606 OID 38722)
--- Dependencies: 203 203
 -- Name: phpgw_cc_typeof_co_rels_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26758,6 +26023,4 @@
 
 --
--- TOC entry 2479 (class 2606 OID 38724)
--- Dependencies: 204 204
 -- Name: phpgw_cc_typeof_ct_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26768,6 +26031,4 @@
 
 --
--- TOC entry 2481 (class 2606 OID 38726)
--- Dependencies: 205 205
 -- Name: phpgw_cc_typeof_ct_conns_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26778,6 +26039,4 @@
 
 --
--- TOC entry 2483 (class 2606 OID 38728)
--- Dependencies: 206 206
 -- Name: phpgw_cc_typeof_ct_rels_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26788,6 +26047,4 @@
 
 --
--- TOC entry 2485 (class 2606 OID 38730)
--- Dependencies: 207 207 207 207
 -- Name: phpgw_certificados_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26798,6 +26055,4 @@
 
 --
--- TOC entry 2487 (class 2606 OID 38732)
--- Dependencies: 208 208 208
 -- Name: phpgw_config_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26808,6 +26063,4 @@
 
 --
--- TOC entry 2489 (class 2606 OID 38734)
--- Dependencies: 209 209
 -- Name: phpgw_emailadmin_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26818,6 +26071,4 @@
 
 --
--- TOC entry 2570 (class 2606 OID 40944)
--- Dependencies: 283 283
 -- Name: phpgw_expressoadmin_configuration_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26828,6 +26079,4 @@
 
 --
--- TOC entry 2491 (class 2606 OID 38736)
--- Dependencies: 214 214
 -- Name: phpgw_expressoadmin_samba_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26838,6 +26087,4 @@
 
 --
--- TOC entry 2493 (class 2606 OID 38738)
--- Dependencies: 215 215
 -- Name: phpgw_expressomail_contacts_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26848,6 +26095,4 @@
 
 --
--- TOC entry 2495 (class 2606 OID 38740)
--- Dependencies: 217 217
 -- Name: phpgw_filemanager_notification_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26858,6 +26103,4 @@
 
 --
--- TOC entry 2498 (class 2606 OID 38742)
--- Dependencies: 218 218
 -- Name: phpgw_history_log_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26868,6 +26111,4 @@
 
 --
--- TOC entry 2500 (class 2606 OID 38744)
--- Dependencies: 219 219
 -- Name: phpgw_hooks_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26878,6 +26119,4 @@
 
 --
--- TOC entry 2502 (class 2606 OID 38746)
--- Dependencies: 220 220
 -- Name: phpgw_interserv_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26888,6 +26127,4 @@
 
 --
--- TOC entry 2504 (class 2606 OID 38748)
--- Dependencies: 221 221 221 221
 -- Name: phpgw_lang_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26898,6 +26135,4 @@
 
 --
--- TOC entry 2506 (class 2606 OID 38750)
--- Dependencies: 222 222
 -- Name: phpgw_languages_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26908,6 +26143,4 @@
 
 --
--- TOC entry 2510 (class 2606 OID 38752)
--- Dependencies: 224 224 224
 -- Name: phpgw_log_msg_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26918,6 +26151,4 @@
 
 --
--- TOC entry 2508 (class 2606 OID 38754)
--- Dependencies: 223 223
 -- Name: phpgw_log_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26928,6 +26159,4 @@
 
 --
--- TOC entry 2516 (class 2606 OID 38756)
--- Dependencies: 226 226
 -- Name: phpgw_news_export_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26938,6 +26167,4 @@
 
 --
--- TOC entry 2514 (class 2606 OID 38758)
--- Dependencies: 225 225
 -- Name: phpgw_news_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26948,6 +26175,4 @@
 
 --
--- TOC entry 2518 (class 2606 OID 38760)
--- Dependencies: 227 227
 -- Name: phpgw_nextid_appname_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26958,6 +26183,4 @@
 
 --
--- TOC entry 2520 (class 2606 OID 38762)
--- Dependencies: 228 228 228
 -- Name: phpgw_preferences_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26968,6 +26191,4 @@
 
 --
--- TOC entry 2523 (class 2606 OID 38764)
--- Dependencies: 229 229
 -- Name: phpgw_sessions_session_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26978,6 +26199,4 @@
 
 --
--- TOC entry 2526 (class 2606 OID 38766)
--- Dependencies: 230 230
 -- Name: phpgw_vfs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26988,6 +26207,4 @@
 
 --
--- TOC entry 2528 (class 2606 OID 38768)
--- Dependencies: 231 231
 -- Name: phpgw_vfs_quota_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -26998,6 +26215,4 @@
 
 --
--- TOC entry 2567 (class 1259 OID 40945)
--- Dependencies: 283
 -- Name: configuration_type_indice; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27007,6 +26222,4 @@
 
 --
--- TOC entry 2364 (class 1259 OID 38769)
--- Dependencies: 149
 -- Name: egw_wf_instance_activities_wf_activity_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27016,6 +26229,4 @@
 
 --
--- TOC entry 2365 (class 1259 OID 38770)
--- Dependencies: 149
 -- Name: egw_wf_instance_activities_wf_instance_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27025,6 +26236,4 @@
 
 --
--- TOC entry 2366 (class 1259 OID 38771)
--- Dependencies: 149
 -- Name: egw_wf_instance_activities_wf_user_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27034,6 +26243,4 @@
 
 --
--- TOC entry 2369 (class 1259 OID 38772)
--- Dependencies: 151 151
 -- Name: egw_wf_instances_wf_name_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27043,6 +26250,4 @@
 
 --
--- TOC entry 2370 (class 1259 OID 38773)
--- Dependencies: 151
 -- Name: egw_wf_instances_wf_owner_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27052,6 +26257,4 @@
 
 --
--- TOC entry 2371 (class 1259 OID 38774)
--- Dependencies: 151
 -- Name: egw_wf_instances_wf_p_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27061,6 +26264,4 @@
 
 --
--- TOC entry 2372 (class 1259 OID 38775)
--- Dependencies: 151
 -- Name: egw_wf_instances_wf_status_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27070,6 +26271,4 @@
 
 --
--- TOC entry 2383 (class 1259 OID 38776)
--- Dependencies: 158 158
 -- Name: egw_wf_processes_wf_p_id_wf_is_active_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27079,6 +26278,4 @@
 
 --
--- TOC entry 2388 (class 1259 OID 38777)
--- Dependencies: 162
 -- Name: egw_wf_user_cache_cpf_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27088,6 +26285,4 @@
 
 --
--- TOC entry 2389 (class 1259 OID 38778)
--- Dependencies: 162
 -- Name: egw_wf_user_cache_employeenumber_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27097,6 +26292,4 @@
 
 --
--- TOC entry 2390 (class 1259 OID 38779)
--- Dependencies: 162
 -- Name: egw_wf_user_cache_mail_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27106,6 +26299,4 @@
 
 --
--- TOC entry 2397 (class 1259 OID 38780)
--- Dependencies: 166
 -- Name: egw_wf_workitems_wf_instance_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27115,6 +26306,4 @@
 
 --
--- TOC entry 2568 (class 1259 OID 40946)
--- Dependencies: 283
 -- Name: email_user_indice; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27126,6 +26315,4 @@
 
 --
--- TOC entry 2571 (class 1259 OID 40950)
--- Dependencies: 284
 -- Name: manager_lid_indice; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27137,6 +26324,4 @@
 
 --
--- TOC entry 2402 (class 1259 OID 38781)
--- Dependencies: 169
 -- Name: phpgw_acl_acl_account_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27146,6 +26331,4 @@
 
 --
--- TOC entry 2403 (class 1259 OID 38782)
--- Dependencies: 169 169
 -- Name: phpgw_acl_acl_appname_acl_account_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27155,6 +26338,4 @@
 
 --
--- TOC entry 2404 (class 1259 OID 38783)
--- Dependencies: 169 169
 -- Name: phpgw_acl_acl_location_acl_account_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27164,6 +26345,4 @@
 
 --
--- TOC entry 2409 (class 1259 OID 38784)
--- Dependencies: 170 170 170 170 170 170 170
 -- Name: phpgw_addressbook_tid_cat_id_owner_access_n_family_n_given_emai; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27173,6 +26352,4 @@
 
 --
--- TOC entry 2410 (class 1259 OID 38785)
--- Dependencies: 170 170 170 170 170 170
 -- Name: phpgw_addressbook_tid_owner_access_n_family_n_given_email_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27182,6 +26359,4 @@
 
 --
--- TOC entry 2415 (class 1259 OID 38786)
--- Dependencies: 173 173
 -- Name: phpgw_applications_app_enabled_app_order_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27191,6 +26366,4 @@
 
 --
--- TOC entry 2430 (class 1259 OID 38787)
--- Dependencies: 180 180 180 180
 -- Name: phpgw_categories_cat_appname_cat_owner_cat_parent_cat_level_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27200,6 +26373,4 @@
 
 --
--- TOC entry 2449 (class 1259 OID 38788)
--- Dependencies: 189
 -- Name: phpgw_cc_contact_is_global_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27209,6 +26380,4 @@
 
 --
--- TOC entry 2496 (class 1259 OID 38789)
--- Dependencies: 218 218 218 218
 -- Name: phpgw_history_log_history_appname_history_record_id_history_sta; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27218,6 +26387,4 @@
 
 --
--- TOC entry 2511 (class 1259 OID 38790)
--- Dependencies: 225
 -- Name: phpgw_news_news_date_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27227,6 +26394,4 @@
 
 --
--- TOC entry 2512 (class 1259 OID 38791)
--- Dependencies: 225
 -- Name: phpgw_news_news_subject_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27236,6 +26401,4 @@
 
 --
--- TOC entry 2521 (class 1259 OID 38792)
--- Dependencies: 229 229
 -- Name: phpgw_sessions_session_flags_session_dla_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27245,6 +26408,4 @@
 
 --
--- TOC entry 2524 (class 1259 OID 38793)
--- Dependencies: 230 230 230
 -- Name: phpgw_vfs_directory_name_mime_type_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
 --
@@ -27254,6 +26415,4 @@
 
 --
--- TOC entry 2595 (class 2620 OID 38794)
--- Dependencies: 169 306
 -- Name: trig_share_catalog_delete; Type: TRIGGER; Schema: public; Owner: postgres
 --
@@ -27266,6 +26425,4 @@
 
 --
--- TOC entry 2596 (class 2620 OID 38795)
--- Dependencies: 305 169
 -- Name: trig_share_catalog_insert; Type: TRIGGER; Schema: public; Owner: postgres
 --
@@ -27278,6 +26435,4 @@
 
 --
--- TOC entry 2594 (class 2606 OID 41707)
--- Dependencies: 290 288 2574
 -- Name: expressomail_message_followupflag_followupflag_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27288,6 +26443,4 @@
 
 --
--- TOC entry 2588 (class 2606 OID 39046)
--- Dependencies: 2545 261 265
 -- Name: fk_calendar_alarm_calendar_object; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27298,6 +26451,4 @@
 
 --
--- TOC entry 2589 (class 2606 OID 39051)
--- Dependencies: 265 263 2547
 -- Name: fk_calendar_alarm_calendar_participant; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27308,6 +26459,4 @@
 
 --
--- TOC entry 2580 (class 2606 OID 39026)
--- Dependencies: 247 2531 249
 -- Name: fk_calendar_attach_attachment; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27318,6 +26467,4 @@
 
 --
--- TOC entry 2581 (class 2606 OID 39031)
--- Dependencies: 2545 261 247
 -- Name: fk_calendar_attach_calendar; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27328,6 +26475,4 @@
 
 --
--- TOC entry 2584 (class 2606 OID 39006)
--- Dependencies: 261 253 2535
 -- Name: fk_calendar_calendar_class; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27338,6 +26483,4 @@
 
 --
--- TOC entry 2585 (class 2606 OID 39011)
--- Dependencies: 2537 255 261
 -- Name: fk_calendar_calendar_type; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27348,6 +26491,4 @@
 
 --
--- TOC entry 2586 (class 2606 OID 39036)
--- Dependencies: 263 2545 261
 -- Name: fk_calendar_int_participant_calendar_object; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27358,6 +26499,4 @@
 
 --
--- TOC entry 2587 (class 2606 OID 39041)
--- Dependencies: 2539 263 257
 -- Name: fk_calendar_int_participant_calendar_participant_status; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27368,6 +26507,4 @@
 
 --
--- TOC entry 2591 (class 2606 OID 39056)
--- Dependencies: 2545 261 273
 -- Name: fk_calendar_repeat_calendar_object; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27378,6 +26515,4 @@
 
 --
--- TOC entry 2592 (class 2606 OID 39061)
--- Dependencies: 2557 277 273
 -- Name: fk_calendar_repeat_to_calendar_repeat_occurrence; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27388,6 +26523,4 @@
 
 --
--- TOC entry 2590 (class 2606 OID 39071)
--- Dependencies: 267 279 2563
 -- Name: fk_calendar_signature_alarm_calendar_signature; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27398,6 +26531,4 @@
 
 --
--- TOC entry 2593 (class 2606 OID 39066)
--- Dependencies: 2533 251 279
 -- Name: fk_calendar_signature_calendar_espec; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27408,6 +26539,4 @@
 
 --
--- TOC entry 2582 (class 2606 OID 39016)
--- Dependencies: 259 251 2533
 -- Name: fk_calendar_to_calendar_object_calendar; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27418,6 +26547,4 @@
 
 --
--- TOC entry 2583 (class 2606 OID 39021)
--- Dependencies: 259 2545 261
 -- Name: fk_calendar_to_calendar_object_object; Type: FK CONSTRAINT; Schema: public; Owner: postgres
 --
@@ -27427,5 +26554,13 @@
 
 
--- Completed on 2012-03-23 12:09:28 BRT
+--
+-- Name: public; Type: ACL; Schema: -; Owner: postgres
+--
+
+REVOKE ALL ON SCHEMA public FROM PUBLIC;
+REVOKE ALL ON SCHEMA public FROM postgres;
+GRANT ALL ON SCHEMA public TO postgres;
+GRANT ALL ON SCHEMA public TO PUBLIC;
+
 
 --
Index: trunk/INSTALL/arquivos/gera_dump.sh
===================================================================
--- trunk/INSTALL/arquivos/gera_dump.sh	(revision 5806)
+++ trunk/INSTALL/arquivos/gera_dump.sh	(revision 5806)
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+DUMP=expresso.dump
+
+# Variaveis que devem ser substituidas
+LDAP_DN="dc=prognus,dc=com,dc=br"
+ORG="ou=prognus"
+DOMAIN="prognus.com.br"
+LDAP_PWD="prognus"
+LDAP_DC="$LDAP_DN"
+
+# Gera o dump da base do Expresso
+pg_dump -U postgres -f /tmp/$DUMP expresso
+
+sed -e "s/$LDAP_DN/LDAP_DN/g" \
+	-e "s/$ORG/ORG/g" \
+	-e "s/$DOMAIN/DOMAIN/g" \
+	-e "s/$LDAP_PWD/LDAP_PWD/g" /tmp/$DUMP > $DUMP
+
